;----------------------------------------------------------------------------
;    MODULE NAME:   FILETIME.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.0  $
;          $Date:   17 Mar 1999 18:45:26  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/FILETIME.X_V  $
;
;    DESCRIPTION:   Test program for "FILETIME.XH"
;
;                   To build rexx procedure (FILETIME.CMD):
;
;                      PPWIZARD   FILETIME.X
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/FILETIME.X_V   1.0   17 Mar 1999 18:45:26   Dennis_Bareis  $
 */

/*--- Include support code --------------------------------------------------*/
#define   INCL_NEEDTOREMAKE
#include  "FILETIME.XH"

/*--- Initialization --------------------------------------------------------*/
address cmd '@echo off';
parse value arg(1) with OutputFile InputFile InputFile2 InputFile3;
InputFile3  = strip(InputFile3);
if InputFile = '' then
do
   say 'Please supply 2 filenames which will be compared';
   exit(255);
end;

/*--- Get timestamps --------------------------------------------------------*/
InputTime  = GetSortableFileTime(InputFile);
OutputTime = GetSortableFileTime(OutputFile);
if OutputTime = -1 then
do
   say 'The file "' || OutputFile || '" does not exist';
   exit(255);
end;
if InputTime = -1 then
do
   say 'The file "' || InputFile || '" does not exist';
   exit(255);
end;

/*--- See which file is newer -----------------------------------------------*/
say '';
if InputTime = OutputTime then
   say 'Files have same dates/times...';
else
do
   if  InputTime > OutputTime then
       say '"' || InputFile  || '" is newer than "' || OutputFile || '"';
   else
       say '"' || OutputFile || '" is newer than "' || InputFile || '"';
end;

/*--- Try "remake" routine --------------------------------------------------*/
say '';
if NeedToRemake(OutputFile, InputFile, InputFile2, InputFile3) <> '' then
   say 'The output file "' || OutputFile || '" would need to be remade';
else
   say 'The output file "' || OutputFile || '" is up to date';
exit(0);



